# PNotifierList Class Reference

`#include <notifier_ext.h>`

Inheritance diagram for PNotifierList:

List of all members.

## Public Member Functions

PINDEX | GetSize () const
void | Add (PNotifier *handler)
void | Remove (PNotifier *handler)
PBoolean | RemoveTarget (PObject *obj)
PBoolean | Fire (PObject &obj, INT val=0)
void | Move (PNotifierList &that)

## Member Function Documentation

void PNotifierList::Add | ( | PNotifier * | handler | ) | `[inline]`

PBoolean PNotifierList::Fire | ( | PObject & | obj,
|  | INT | val = `0` |
| ) |  |  |

PINDEX PNotifierList::GetSize | ( |  | ) | const`[inline]`

void PNotifierList::Move | ( | PNotifierList & | that | ) |

void PNotifierList::Remove | ( | PNotifier * | handler | ) | `[inline]`

PBoolean PNotifierList::RemoveTarget | ( | PObject * | obj | ) |

The documentation for this class was generated from the following file:

- notifier_ext.h